VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::appliance::networking::InterfacesStub Class Reference

Remote stub implementation of the Interfaces API service. More...

Inherits vmware::appliance::networking::Interfaces.

List of all members.

## Public Member Functions
| InterfacesStub (vmware.vapi.core.IApiProvider iApiProvider, vmware.vapi.bindings.IStubConfiguration config)
global::System.Collections.Generic.List < vmware.appliance.networking.InterfacesTypes.InterfaceInfo > | List ()
| Get list of available network interfaces, including those that are not yet configured.
global::System.Collections.Generic.List < vmware.appliance.networking.InterfacesTypes.InterfaceInfo > | List (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Get list of available network interfaces, including those that are not yet configured.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < vmware.appliance.networking.InterfacesTypes.InterfaceInfo > > | ListAsync ()
| Get list of available network interfaces, including those that are not yet configured.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < vmware.appliance.networking.InterfacesTypes.InterfaceInfo > > | ListAsync (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Get list of available network interfaces, including those that are not yet configured.
vmware.appliance.networking.InterfacesTypes.InterfaceInfo | Get (string interfaceName)
| Get information about a particular network interface.
vmware.appliance.networking.InterfacesTypes.InterfaceInfo | Get (string interfaceName, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Get information about a particular network interface.
global::System.Threading.Tasks.Task < vmware.appliance.networking.InterfacesTypes.InterfaceInfo > | GetAsync (string interfaceName)
| Get information about a particular network interface.
global::System.Threading.Tasks.Task < vmware.appliance.networking.InterfacesTypes.InterfaceInfo > | GetAsync (string interfaceName, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Get information about a particular network interface.

## Detailed Description

Remote stub implementation of the Interfaces API service.

## Constructor & Destructor Documentation

vmware::appliance::networking::InterfacesStub::InterfacesStub | ( | vmware.vapi.core.IApiProvider | iApiProvider,
|  | vmware.vapi.bindings.IStubConfiguration | config
| ) |  | `[inline]`

## Member Function Documentation

vmware.appliance.networking.InterfacesTypes.InterfaceInfo vmware::appliance::networking::InterfacesStub::Get | ( | string | interfaceName | ) | `[inline]`

Get information about a particular network interface.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  interfaceName | Network interface, for example, "nic0". The parameter must be an identifier for the resource type: `com.vmware.appliance.networking.interfaces` .

Returns:
  Network interface information.

Implements vmware::appliance::networking::Interfaces.

vmware.appliance.networking.InterfacesTypes.InterfaceInfo vmware::appliance::networking::InterfacesStub::Get | ( | string | interfaceName,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Get information about a particular network interface.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  interfaceName | Network interface, for example, "nic0". The parameter must be an identifier for the resource type: `com.vmware.appliance.networking.interfaces` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  Network interface information.

Implements vmware::appliance::networking::Interfaces.

global::System.Threading.Tasks.Task<vmware.appliance.networking.InterfacesTypes.InterfaceInfo> vmware::appliance::networking::InterfacesStub::GetAsync | ( | string | interfaceName,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Get information about a particular network interface.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  interfaceName | Network interface, for example, "nic0". The parameter must be an identifier for the resource type: `com.vmware.appliance.networking.interfaces` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  Network interface information.

Implements vmware::appliance::networking::Interfaces.

global::System.Threading.Tasks.Task<vmware.appliance.networking.InterfacesTypes.InterfaceInfo> vmware::appliance::networking::InterfacesStub::GetAsync | ( | string | interfaceName | ) | `[inline]`

Get information about a particular network interface.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  interfaceName | Network interface, for example, "nic0". The parameter must be an identifier for the resource type: `com.vmware.appliance.networking.interfaces` .

Returns:
  Network interface information.

Implements vmware::appliance::networking::Interfaces.

global::System.Collections.Generic.List<vmware.appliance.networking.InterfacesTypes.InterfaceInfo> vmware::appliance::networking::InterfacesStub::List | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Get list of available network interfaces, including those that are not yet configured.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  List of InterfaceInfo structures.

Implements vmware::appliance::networking::Interfaces.

global::System.Collections.Generic.List<vmware.appliance.networking.InterfacesTypes.InterfaceInfo> vmware::appliance::networking::InterfacesStub::List | ( |  | ) | `[inline]`

Get list of available network interfaces, including those that are not yet configured.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  List of InterfaceInfo structures.

Implements vmware::appliance::networking::Interfaces.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<vmware.appliance.networking.InterfacesTypes.InterfaceInfo> > vmware::appliance::networking::InterfacesStub::ListAsync | ( |  | ) | `[inline]`

Get list of available network interfaces, including those that are not yet configured.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  List of InterfaceInfo structures.

Implements vmware::appliance::networking::Interfaces.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<vmware.appliance.networking.InterfacesTypes.InterfaceInfo> > vmware::appliance::networking::InterfacesStub::ListAsync | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Get list of available network interfaces, including those that are not yet configured.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  List of InterfaceInfo structures.

Implements vmware::appliance::networking::Interfaces.

The documentation for this class was generated from the following file:

- InterfacesStub.cs